Bug 102628 - gcc-3.3.1-1 problems with -fssa-ccp
gcc-3.3.1-1 problems with -fssa-ccp
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-19 00:20 EDT by Valdis Kletnieks
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 12:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
One of two failing source examples (570 bytes, text/plain)
2003-08-19 00:21 EDT, Valdis Kletnieks
no flags Details
Another related test case source file (568 bytes, text/plain)
2003-08-19 00:22 EDT, Valdis Kletnieks
no flags Details

  None (edit)
Description Valdis Kletnieks 2003-08-19 00:20:16 EDT
Description of problem:
Two related test cases, one causes a compiler abort, the other a compiler error.
 Both compile clean if -fssa-ccp is left off.


Version-Release number of selected component (if applicable):
gcc-3.3.1-1

How reproducible:
See 2 attached test cases

Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Given that the two samples differ in only one line of code, I'm pretty sure
these are 2 different manifestations of the same bug...
Comment 1 Valdis Kletnieks 2003-08-19 00:21:49 EDT
Created attachment 93740 [details]
One of two failing source examples
Comment 2 Valdis Kletnieks 2003-08-19 00:22:32 EDT
Created attachment 93741 [details]
Another related test case source file
Comment 3 Jakub Jelinek 2003-08-25 12:08:44 EDT
If you want to test SSA and report bugs, use gcc-ssa package from RHL Enterprise beta
and report bugs you find in it.

Note You need to log in before you can comment on or make changes to this bug.